#!/usr/local/bin/perl

# Simple utility program to take on stdin lines where the first string on 
# each line is a hostname, and start a program for each legitmate hostname..

my ($basedir) = ($0 =~ /(.*)\/.*/);

# Global variables
$prog="$basedir/delay.pl";

while(<>) {
    ($host, $comment) = split(' ', $_, 2);
    $host =~ tr/A-Z/a-z/;  # force to lowercase everything 
    if (defined(gethostbyname($host))) {
	system("$prog $host $CONFIG{'CONFIG'} &");
    }
}

exit 0;
